﻿using System.Net.Mail;

namespace FabApprovalWorkerService.Clients;

public interface ISmtpClientWrapper {
    void Send(MailMessage message);
}

public class SmtpClientWrapper : ISmtpClientWrapper {
    private SmtpClient _client;

    public SmtpClientWrapper(SmtpClient client) {
        _client = client ??
            throw new ArgumentNullException("SmtpClient not injected");
    }

    public void Send(MailMessage message) {
        _client.Send(message);
    }
}
